Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 14701 - Create unit tests for help
Create unit tests for help
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Help System
3.x
PC Linux
: P4 (vote)
: 3.x
Assigned To: Jesse Glick
issues@platform
:
Depends on: 19620
Blocks: 16430
  Show dependency treegraph
 
Reported: 2001-08-22 21:41 UTC by Jesse Glick
Modified: 2008-12-22 21:59 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
Config files patch (1.58 KB, patch)
2002-03-20 17:52 UTC, Jesse Glick
Details | Diff
openide/test/unit/src/org/openide/explorer/FindHelpTest.java (to add) (5.12 KB, text/plain)
2002-03-20 17:53 UTC, Jesse Glick
Details
openide/test/unit/src/org/openide/explorer/propertysheet/FindHelpTest.java (to add) (8.30 KB, text/plain)
2002-03-20 17:54 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2001-08-22 21:41:10 UTC
Need some unit tests for help system, covering: creation of dummy
components (esp. explorers and property sheets) and ensuring that
HelpCtx.findHelp gets the correct help ID for them and all
subcomponents; create new Help subclass and ensure that helpsets are
parsed correctly (maybe); etc.
Comment 1 Jan Chalupa 2001-11-27 11:49:14 UTC
Target milestone -> 3.3.1.
Comment 2 Jan Chalupa 2001-11-27 11:52:40 UTC
Target milestone -> 3.3.1.
Comment 3 Jan Chalupa 2002-01-11 14:00:30 UTC
Target milestone -> 3.4
Comment 4 Jan Chalupa 2002-01-11 14:04:46 UTC
Target milestone -> 3.4
Comment 5 Jan Chalupa 2002-01-11 14:06:22 UTC
Target milestone -> 3.4
Comment 6 Jan Chalupa 2002-01-11 14:10:09 UTC
Target milestone -> 3.4
Comment 7 Jesse Glick 2002-03-19 18:30:44 UTC
Written, will commit when possible.
Comment 8 Jesse Glick 2002-03-20 17:52:29 UTC
Created attachment 5120 [details]
Config files patch
Comment 9 Jesse Glick 2002-03-20 17:53:56 UTC
Created attachment 5122 [details]
openide/test/unit/src/org/openide/explorer/FindHelpTest.java (to add)
Comment 10 Jesse Glick 2002-03-20 17:54:48 UTC
Created attachment 5123 [details]
openide/test/unit/src/org/openide/explorer/propertysheet/FindHelpTest.java (to add)
Comment 11 Jesse Glick 2002-03-20 17:55:59 UTC
Note that property-level help does *not* currently work and so this 
test is excluded. See issue #20794 for a helpful interactive test 
class.
Comment 12 Jesse Glick 2002-03-22 19:03:56 UTC
In directory openide/test:
committed   * Up-To-Date  1.35        openide/test/cfg-unit.xml
In directory openide/test/unit:
In directory openide/test/unit/src:
In directory openide/test/unit/src/org:
In directory openide/test/unit/src/org/openide:
In directory openide/test/unit/src/org/openide/explorer:
added       * Up-To-Date  1.1        
openide/test/unit/src/org/openide/explorer/FindHelpTest.java
In directory openide/test/unit/src/org/openide/explorer/propertysheet:
added       * Up-To-Date  1.1        
openide/test/unit/src/org/openide/explorer/propertysheet/FindHelpTest.java


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo